Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227306 - File ownership inconsistencies under gnome.
Summary: File ownership inconsistencies under gnome.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-utils
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 03:20 UTC by Chuck Bloodworth
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-18 18:42:02 UTC


Attachments (Terms of Use)
Screen shot showing file ownership irregularity. (deleted)
2007-02-05 03:20 UTC, Chuck Bloodworth
no flags Details

Description Chuck Bloodworth 2007-02-05 03:20:33 UTC
Description of problem: Hopefully a picture will help explain what I am seeing.
See attachment.


Version-Release number of selected component (if applicable): I am not sure
which component might be causing this inconsistency.


How reproducible: See steps below to reproduce the screenshot.

Steps to Reproduce:
1.Created file /var/www/html/index.html as user "www"
2.Created file /var/www/html/phptest.php as user "chuck"
3.As root, changed ownership of phptest.php to www:www.
4.Open file browser and view properties for index.html and phptest.html.
5.Browser shows incorrect owner for phptest.php (still shows 'chuck' as owner).
6.Open command window to verify file ownership.  As you can see in the screen
shot, the file ownership and group has changed, but for some reason the change
is not visible under gnome.
 
  
Actual results:

See attached screenshot.  This looks like a security risk, because under gnome
the old owner of the file still has access, even though the file ownership has
been changed.

Expected results:

Expect file properties windows in gnome to reflect actual file ownership, but
that is not the case.

Additional info:

Comment 1 Chuck Bloodworth 2007-02-05 03:20:33 UTC
Created attachment 147338 [details]
Screen shot showing file ownership irregularity.

Comment 2 Ray Strode [halfline] 2008-03-18 18:42:02 UTC
Hi,

We no longer support Fedora Core 6 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)


Note You need to log in before you can comment on or make changes to this bug.